Name:           apiextractor
Version:        0.8.0
Release:        1%{?dist}
Summary:        Library headers parser to extract API information

Group:          System Environment/Libraries
License:        GPLv2
URL:            http://www.pyside.org
Source0:        http://www.pyside.org/files/apiextractor-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake
BuildRequires:  libxml2-devel
BuildRequires:  libxslt-devel
BuildRequires:  python-sphinx
BuildRequires:  qt4-devel

%description
The API Extractor library is used by the binding generator to parse headers of
a given library and merge this data with information provided by type system
(XML) files, resulting in a representation of how the API should be exported
to the chosen target language. The generation of source code for the bindings
is performed by specific generators using the API Extractor library.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       cmake

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

# Build html docs
make -C doc html
rm -f doc/_build/html/_static/images/._*
rm -f doc/_build/html/.buildinfo


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}


%check
make test -C %{_target_platform}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING
%{_libdir}/libapiextractor.so.*

%files devel
%defattr(-,root,root,-)
%doc doc/_build/html/
%{_includedir}/apiextractor/
%{_libdir}/libapiextractor.so
%{_libdir}/pkgconfig/apiextractor.pc
%{_libdir}/cmake/ApiExtractor-%{version}/


%changelog
* Sat Sep 11 2010 Kalev Lember <kalev@smartlink.ee> - 0.8.0-1
- Update to 0.8.0

* Wed Aug 04 2010 Kalev Lember <kalev@smartlink.ee> - 0.7.0-1
- Update to 0.7.0

* Mon Jun 21 2010 Kalev Lember <kalev@smartlink.ee> - 0.6.0-4
- Use System Environment/Libraries for main package

* Sun Jun 20 2010 Kalev Lember <kalev@smartlink.ee> - 0.6.0-3
- Removed .buildinfo file from documentation directory

* Sun Jun 20 2010 Kalev Lember <kalev@smartlink.ee> - 0.6.0-2
- Build html documentation and ship it in -devel subpackage
- typo fix in description

* Wed Jun 16 2010 Kalev Lember <kalev@smartlink.ee> - 0.6.0-1
- Update to 0.6.0

* Fri Mar 26 2010 Kalev Lember <kalev@smartlink.ee> - 0.4.0-1
- Initial RPM release
